#ifndef MANUALRECOBOX_H
#define MANUALRECOBOX_H

#include <QApplication>
#include <QPushButton>
#include <QProgressBar>

#include <QSlider>
#include <QtWidgets/QApplication>
#include <QPushButton>

#include <iostream>
#include <pthread.h>
#include <vector>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <QInputDialog>
#include <QDir>
#include <QFormLayout>
#include  <QLayout>

#include  <QGroupBox>
#include <QMainWindow>


#include <QTextEdit>
#include <QDialogButtonBox>
#include <QtWidgets/QLabel>
#include <QMenuBar>
#include <QSpinBox>
#include <QComboBox>
#include <QCheckBox>
#include <QSlider>


#include <iostream>
#include <pthread.h>
#include <vector>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include "opencv2/opencv.hpp"

using namespace std;
using namespace cv;


class ManualRecoBox : public QDialog
{
    
Q_OBJECT

public:
	
	ManualRecoBox();
	int RecoNumbers=1;
	vector <string> IPs;

	void InfoPage(int Num);
	void AdjustmentPage(int Num);
	void ControlPage();
	void AssigneInputs();
	string HostIP;
	QString RecoPort;
	QString IP[9];
	



   


private:
	QGridLayout *mainLayout;
	QGridLayout *IPLayout;

	QGroupBox *QuestionPoints1;
	QPushButton *AdjustButton;
	QSpinBox *RecoID;
	
	
	QGroupBox *QuestionPoints2;
	QSpinBox *AdjustRecoNums;
	QLineEdit *lineEditIPs[9];
	QLineEdit *lineEditPort;
	QPushButton *ApplyButton;
	
	QGroupBox *QuestionPoints3;
	QPushButton *Click;
	QPushButton *Buzzer;
	QPushButton *GreenLED;
	QPushButton *IRLED;
	QPushButton *Reward;
	QSpinBox *BuzzerFreq;
	QSpinBox *RewSize;
	
public slots:
	void AddRemoveRecoBox();
	void GoToAdjustmentPage();
	void ApplyAdjustments();
	void CommandRecoBox(int cm);

};

#endif // WINDOW_H
