#ifndef WINDOW_H
#define WINDOW_H

#include <QApplication>
#include <QPushButton>
#include <QProgressBar>
#include <QSlider>
#include <QtWidgets/QApplication>
#include <QPushButton>
#include <QInputDialog>
#include <QDir>
#include <QFormLayout>
#include <QLayout>
#include <QtWidgets/QLabel>
#include <QGroupBox>
#include <QMainWindow>

class QPushButton;
class Window : public QWidget
{
	Q_OBJECT
 public:
  explicit Window(QWidget *parent = 0);
  QLabel *labeltetx;
  signals:
 void counterReached();
 private slots:
  void ChooseDir( );
  void OpenCalibrationPage();
  void OpenConfigurationPage();
  void OpenLoadingPage();
  void OpenRecoPage();
  
 private:
 QGroupBox *formGroupBox;
 QPushButton *m_button[4];

 int m_counter;
 protected:
 void paintEvent(QPaintEvent *p2);
};

#endif // WINDOW_H


